summaryrefslogtreecommitdiff
path: root/taler-docbuild/update_doc_exchange.sh
diff options
context:
space:
mode:
authorFlorian Dold <florian.dold@gmail.com>2018-02-06 04:06:40 +0100
committerFlorian Dold <florian.dold@gmail.com>2018-02-06 04:06:40 +0100
commitc6d43b1274c044c275f8dbea343aff33593a7485 (patch)
treea258df7a7e2e95a62b0bdeaf7ea97b986c7527a7 /taler-docbuild/update_doc_exchange.sh
parent94c7476dc8dc7a343e036d0cfaf52514d5c08610 (diff)
downloaddeployment-c6d43b1274c044c275f8dbea343aff33593a7485.tar.gz
deployment-c6d43b1274c044c275f8dbea343aff33593a7485.tar.bz2
deployment-c6d43b1274c044c275f8dbea343aff33593a7485.zip
build docs the same way as blue/green
Diffstat (limited to 'taler-docbuild/update_doc_exchange.sh')
-rwxr-xr-xtaler-docbuild/update_doc_exchange.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/taler-docbuild/update_doc_exchange.sh b/taler-docbuild/update_doc_exchange.sh
new file mode 100755
index 0000000..f5054d0
--- /dev/null
+++ b/taler-docbuild/update_doc_exchange.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+}
+
+cd $HOME/exchange
+fetch
+./bootstrap
+./configure --enable-only-doc
+make pdf
+make html
+doxygen
+cp doc/taler-exchange.pdf $HOME/build/exchange/manual/pdf/
+cp doc/taler-exchange.html $HOME/build/exchange/manual/html/
+cp doc/*.css $HOME/build/exchange/manual/html/
+cp doc/*.png $HOME/build/exchange/manual/html/
+cp doc/*.js $HOME/build/exchange/manual/html/
+cp -r doxygen-doc/html/* $HOME/build/exchange/doxygen/